Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom3.as
Interface ASAttributeDeclaration

All Superinterfaces:
  ASObject

public interface ASAttributeDeclaration
extends ASObject

An attribute declaration in the context of a `ASObject`.The constant 'REQUIRED' is missing from this interface.

See also the Document Object Model (DOM) Level 3 Abstract Schemas and Load and Save Specification.

Field Summary
`static short` | `VALUE_DEFAULT` Indicates that the there is a default value constraint.
`static short` | `VALUE_FIXED` Indicates that there is a fixed value constraint for this attribute.
`static short` | `VALUE_NONE` Describes that the attribute does not have any value constraint.

Fields inherited from interface org.apache.xerces.dom3.as.ASObject
`AS_ATTRIBUTE_DECLARATION, AS_CONTENTMODEL, AS_ELEMENT_DECLARATION, AS_ENTITY_DECLARATION, AS_MODEL, AS_NOTATION_DECLARATION`

Method Summary
`ASDataType` | `getDataType()` Datatype of the attribute.
`java.lang.String` | `getDataValue()` Default or fixed value.
`short` | `getDefaultType()` Constraint type if any for this attribute.
`java.lang.String` | `getEnumAttr()` Valid attribute values, separated by commas, in a string.
`ASObjectList` | `getOwnerElements()` Owner elements `ASObject` of attribute, meaning that an attribute declaration can be shared by multiple elements.
`void` | `setDataType(ASDataType dataType)` Datatype of the attribute.
`void` | `setDataValue(java.lang.String dataValue)` Default or fixed value.
`void` | `setDefaultType(short defaultType)` Constraint type if any for this attribute.
`void` | `setEnumAttr(java.lang.String enumAttr)` Valid attribute values, separated by commas, in a string.
`void` | `setOwnerElements(ASObjectList ownerElements)` Owner elements `ASObject` of attribute, meaning that an attribute declaration can be shared by multiple elements.

Methods inherited from interface org.apache.xerces.dom3.as.ASObject
`cloneASObject, getAsNodeType, getLocalName, getNamespaceURI, getNodeName, getOwnerASModel, getPrefix, setLocalName, setNamespaceURI, setNodeName, setOwnerASModel, setPrefix`

Field Detail

### VALUE_NONE

    public static final short VALUE_NONE

  Describes that the attribute does not have any value constraint.

### VALUE_DEFAULT

    public static final short VALUE_DEFAULT

  Indicates that the there is a default value constraint.

### VALUE_FIXED

    public static final short VALUE_FIXED

  Indicates that there is a fixed value constraint for this attribute.

Method Detail

### getDataType

    public ASDataType getDataType()

  Datatype of the attribute.

### setDataType

    public void setDataType(ASDataType dataType)

  Datatype of the attribute.

### getDataValue

    public java.lang.String getDataValue()

  Default or fixed value.

### setDataValue

    public void setDataValue(java.lang.String dataValue)

  Default or fixed value.

### getEnumAttr

    public java.lang.String getEnumAttr()

  Valid attribute values, separated by commas, in a string.

### setEnumAttr

    public void setEnumAttr(java.lang.String enumAttr)

  Valid attribute values, separated by commas, in a string.

### getOwnerElements

    public ASObjectList getOwnerElements()

  Owner elements `ASObject` of attribute, meaning that an attribute declaration can be shared by multiple elements.

### setOwnerElements

    public void setOwnerElements(ASObjectList ownerElements)

  Owner elements `ASObject` of attribute, meaning that an attribute declaration can be shared by multiple elements.

### getDefaultType

    public short getDefaultType()

  Constraint type if any for this attribute.

### setDefaultType

    public void setDefaultType(short defaultType)

  Constraint type if any for this attribute.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.